| eRPC Generator (erpcgen) Rev. 1.8.1 NXP Semiconductors

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Value Class Referenceabstract

Abstract base class for values of arbitrary types. More...

`#include <Value.h>`

Inheritance diagram for Value:

## Public Member Functions
| Value (value_type_t theType)
| Constructor. More...
virtual | ~Value ()
| Destructor.
virtual value_type_t | getType () const
| Get Value type. More...
virtual std::string | getTypeName () const =0
| Get Value type name. More...
virtual size_t | getSize () const =0
| Get Value type size. More...
virtual std::string | toString () const =0
| Get Value type string representation. More...
virtual Value * | clone () const =0
| Clone Value. More...

## Detailed Description

Abstract base class for values of arbitrary types.

## Constructor & Destructor Documentation

Value::Value | ( | value_type_t | theType | ) |
| inline

Constructor.

Parameters

  [in] | theType | Value type.

## Member Function Documentation

virtual Value* Value::clone | ( |  | ) | const
| pure virtual

Clone Value.

Returns
  Cloned Value.

Implemented in StringValue, FloatValue, and IntegerValue.

virtual size_t Value::getSize | ( |  | ) | const
| pure virtual

Get Value type size.

Returns
  Value type size.

Implemented in StringValue, FloatValue, and IntegerValue.

virtual value_type_t Value::getType | ( |  | ) | const
| inline virtual

Get Value type.

Returns
  Value type.

virtual std::string Value::getTypeName | ( |  | ) | const
| pure virtual

Get Value type name.

Returns
  Value type name.

Implemented in StringValue, FloatValue, and IntegerValue.

virtual std::string Value::toString | ( |  | ) | const
| pure virtual

Get Value type string representation.

Returns
  Value type string representation.

Implemented in StringValue, FloatValue, and IntegerValue.

The documentation for this class was generated from the following file:

- Value.h